org.apache.cayenne.template.parser

## Class ASTFloatScalar

- java.lang.Object
- - org.apache.cayenne.template.parser.SimpleNode
  - - org.apache.cayenne.template.parser.ScalarNode<Double>
    - - org.apache.cayenne.template.parser.ASTFloatScalar

- All Implemented Interfaces:
    ExpressionNode, Node

      public class ASTFloatScalar
      extends ScalarNode<Double>

  Since:
    4.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.template.parser.SimpleNode

      `children, id, parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ASTFloatScalar(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluateAsBoolean(Context context)`
    `double` | `evaluateAsDouble(Context context)`

    - ### Methods inherited from class org.apache.cayenne.template.parser.ScalarNode

      `evaluate, evaluateAsLong, evaluateAsObject, evaluateAsString, getValue, setValue`

    - ### Methods inherited from class org.apache.cayenne.template.parser.SimpleNode

      `dump, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ASTFloatScalar

          public ASTFloatScalar(int id)

  - ### Method Detail

    - #### evaluateAsBoolean

          public boolean evaluateAsBoolean(Context context)

      Specified by:
        `evaluateAsBoolean` in interface `ExpressionNode`
      Overrides:
        `evaluateAsBoolean` in class `ScalarNode<Double>`

    - #### evaluateAsDouble

          public double evaluateAsDouble(Context context)

      Specified by:
        `evaluateAsDouble` in interface `ExpressionNode`
      Overrides:
        `evaluateAsDouble` in class `ScalarNode<Double>`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.